Package pywbem :: Module cim_obj :: Class CIMQualifier |
[frames] | no frames]

# Class CIMQualifier

source code

    object --+
             |
            CIMQualifier

A CIM qualifier value.

A qualifier represents metadata on a class, method, property, etc., and specifies information such as a documentation string or whether a property is a key.

Instance Methods
__init__(self, name, value, type=None, propagated=None, overridable=None, tosubclass=None, toinstance=None, translatable=None) Initialize the CIMQualifier object. | source code
copy(self) | source code
__repr__(self) repr(x) | source code
__cmp__(self, other) | source code
tocimxml(self) | source code
tomof(self, indent=7) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables
| ... All parameters of __init__ are set as instance variables.

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, name, value, type=None, propagated=None, overridable=None, tosubclass=None, toinstance=None, translatable=None) (Constructor) | source code
Initialize the CIMQualifier object. TODO: add description Overrides: object.__init__

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)